Create Authorization
POST
https://api.withpersona.com/api/v1/oauth/authorize
Authorizes another Organization to access your Inquiry, Verifications, or other Persona resources.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Request
This endpoint expects an object.
client-idstringRequired
Organization (org_) to authorize
response-typestringRequiredDefaults to
codeMust be set to 'code'
scopestringRequired
Space-separated list of ‘permission:object’ combinations (i.e. inquiry.read:inq_uX7kRTiBxsJ1sZqPLAsjdP9j verification.read:ver_ynYuWdrjwwjiHJ2rgHfSoHeT
Response
This endpoint returns an Authorization Code.
codestring
Authorization Code that is only usable by the Organization specified by the client-id
expires-inintegerDefaults to
0Number of seconds until the authorization code expires.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

